> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Product Specials

> Admin: list all specials for a product.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/admin/products/{product_id}/specials
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/products/{product_id}/specials:
    get:
      tags:
        - admin
        - admin
      summary: List Product Specials
      description: 'Admin: list all specials for a product.'
      operationId: list_product_specials_api_v1_admin_products__product_id__specials_get
      parameters:
        - name: product_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Product Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_list_ProductSpecialOut__'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiResponse_list_ProductSpecialOut__:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/ProductSpecialOut'
              type: array
            - type: 'null'
          title: Data
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[list[ProductSpecialOut]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProductSpecialOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        product_id:
          type: string
          format: uuid
          title: Product Id
        customer_group_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Customer Group Id
        priority:
          type: integer
          title: Priority
        price:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Price
        date_start:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Date Start
        date_end:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Date End
      type: object
      required:
        - id
        - product_id
        - customer_group_id
        - priority
        - price
        - date_start
        - date_end
      title: ProductSpecialOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````